summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-11-27 10:16:18 +0000
committerJim Meyering <jim@meyering.net>2001-11-27 10:16:18 +0000
commit2c9dc1f50913000598b80cba4348674d42228fc0 (patch)
tree2cef81e6dcd220f382e2660334cfbb0a651aa28e /tests
parentb7d1e33e4ad2e41ab5e4e354c93af0523884f240 (diff)
downloadcoreutils-2c9dc1f50913000598b80cba4348674d42228fc0.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ls/recursive68
1 files changed, 68 insertions, 0 deletions
diff --git a/tests/ls/recursive b/tests/ls/recursive
new file mode 100755
index 000000000..99608dbf4
--- /dev/null
+++ b/tests/ls/recursive
@@ -0,0 +1,68 @@
+#!/bin/sh
+# 4.1.1 and 4.1.2 had a bug whereby some recursive listings
+# didn't include a blank line between per-directory groups of files.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ls --version
+fi
+
+. $srcdir/../envvar-check
+
+pwd=`pwd`
+tmp=recursive.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+mkdir x y a b c a/1 a/2 a/3 || framework_failure=1
+touch f a/1/I a/1/II || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo '$0: failure in testing framework' 1>&2
+ (exit 1); exit
+fi
+
+fail=0
+
+# This first example is from Andreas Schwab's bug report.
+ls -R1 a b c > out || fail=1
+cat <<EOF > exp
+a:
+1
+2
+3
+
+a/1:
+I
+II
+
+a/2:
+
+a/3:
+
+b:
+
+c:
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff -u out exp 2> /dev/null
+
+rm -rf out exp
+ls -R1 x y f > out || fail=1
+cat <<EOF > exp
+f
+
+x:
+
+y:
+EOF
+
+cmp out exp || fail=1
+test $fail = 1 && diff -u out exp 2> /dev/null
+
+(exit $fail); exit